--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: conndefaults
- !ruby/object:RI::MethodSummary 
  name: connect_start
- !ruby/object:RI::MethodSummary 
  name: encrypt_password
- !ruby/object:RI::MethodSummary 
  name: escape_bytea
- !ruby/object:RI::MethodSummary 
  name: escape_string
- !ruby/object:RI::MethodSummary 
  name: isthreadsafe
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: quote_ident
- !ruby/object:RI::MethodSummary 
  name: unescape_bytea
comment: 
- !ruby/struct:SM::Flow::P 
  body: The class to access PostgreSQL RDBMS, based on the libpq interface, provides convenient OO methods to interact with PostgreSQL.
- !ruby/struct:SM::Flow::P 
  body: "For example, to send query to the database on the localhost:"
- !ruby/struct:SM::Flow::VERB 
  body: "   require 'pg'\n   conn = PGconn.open(:dbname =&gt; 'test')\n   res = conn.exec('SELECT $1 AS a, $2 AS b, $3 AS c',[1, 2, nil])\n   # Equivalent to:\n   #  res  = conn.exec('SELECT 1 AS a, 2 AS b, NULL AS c')\n"
- !ruby/struct:SM::Flow::P 
  body: See the PGresult class for information on working with the results of a query.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Connection Status
  name: CONNECTION_OK
  value: PGconn CLASS CONSTANTS
- !ruby/object:RI::Constant 
  comment: 
  name: CONNECTION_BAD
  value: INT2FIX(CONNECTION_BAD)
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Nonblocking connection status
  name: CONNECTION_STARTED
  value: PGconn CLASS CONSTANTS
- !ruby/object:RI::Constant 
  comment: 
  name: CONNECTION_MADE
  value: INT2FIX(CONNECTION_MADE)
- !ruby/object:RI::Constant 
  comment: 
  name: CONNECTION_AWAITING_RESPONSE
  value: INT2FIX(CONNECTION_AWAITING_RESPONSE)
- !ruby/object:RI::Constant 
  comment: 
  name: CONNECTION_AUTH_OK
  value: INT2FIX(CONNECTION_AUTH_OK)
- !ruby/object:RI::Constant 
  comment: 
  name: CONNECTION_SSL_STARTUP
  value: INT2FIX(CONNECTION_SSL_STARTUP)
- !ruby/object:RI::Constant 
  comment: 
  name: CONNECTION_SETENV
  value: INT2FIX(CONNECTION_SETENV)
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Nonblocking connection polling status
  name: PGRES_POLLING_READING
  value: PGconn CLASS CONSTANTS
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_POLLING_WRITING
  value: INT2FIX(PGRES_POLLING_WRITING)
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_POLLING_FAILED
  value: INT2FIX(PGRES_POLLING_FAILED)
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_POLLING_OK
  value: INT2FIX(PGRES_POLLING_OK)
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Transaction Status
  name: PQTRANS_IDLE
  value: PGconn CLASS CONSTANTS
- !ruby/object:RI::Constant 
  comment: 
  name: PQTRANS_ACTIVE
  value: INT2FIX(PQTRANS_ACTIVE)
- !ruby/object:RI::Constant 
  comment: 
  name: PQTRANS_INTRANS
  value: INT2FIX(PQTRANS_INTRANS)
- !ruby/object:RI::Constant 
  comment: 
  name: PQTRANS_INERROR
  value: INT2FIX(PQTRANS_INERROR)
- !ruby/object:RI::Constant 
  comment: 
  name: PQTRANS_UNKNOWN
  value: INT2FIX(PQTRANS_UNKNOWN)
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Error Verbosity
  name: PQERRORS_TERSE
  value: PGconn CLASS CONSTANTS
- !ruby/object:RI::Constant 
  comment: 
  name: PQERRORS_DEFAULT
  value: INT2FIX(PQERRORS_DEFAULT)
- !ruby/object:RI::Constant 
  comment: 
  name: PQERRORS_VERBOSE
  value: INT2FIX(PQERRORS_VERBOSE)
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Large Objects
  name: INV_WRITE
  value: PGconn CLASS CONSTANTS
- !ruby/object:RI::Constant 
  comment: 
  name: INV_READ
  value: INT2FIX(INV_READ)
- !ruby/object:RI::Constant 
  comment: 
  name: SEEK_SET
  value: INT2FIX(SEEK_SET)
- !ruby/object:RI::Constant 
  comment: 
  name: SEEK_CUR
  value: INT2FIX(SEEK_CUR)
- !ruby/object:RI::Constant 
  comment: 
  name: SEEK_END
  value: INT2FIX(SEEK_END)
full_name: PGconn
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: async_exec
- !ruby/object:RI::MethodSummary 
  name: async_query
- !ruby/object:RI::MethodSummary 
  name: backend_pid
- !ruby/object:RI::MethodSummary 
  name: block
- !ruby/object:RI::MethodSummary 
  name: cancel
- !ruby/object:RI::MethodSummary 
  name: close
- !ruby/object:RI::MethodSummary 
  name: conndefaults
- !ruby/object:RI::MethodSummary 
  name: connect_poll
- !ruby/object:RI::MethodSummary 
  name: connection_needs_password
- !ruby/object:RI::MethodSummary 
  name: connection_used_password
- !ruby/object:RI::MethodSummary 
  name: consume_input
- !ruby/object:RI::MethodSummary 
  name: db
- !ruby/object:RI::MethodSummary 
  name: describe_portal
- !ruby/object:RI::MethodSummary 
  name: describe_prepared
- !ruby/object:RI::MethodSummary 
  name: error_message
- !ruby/object:RI::MethodSummary 
  name: escape
- !ruby/object:RI::MethodSummary 
  name: escape_bytea
- !ruby/object:RI::MethodSummary 
  name: escape_string
- !ruby/object:RI::MethodSummary 
  name: exec
- !ruby/object:RI::MethodSummary 
  name: exec_prepared
- !ruby/object:RI::MethodSummary 
  name: finish
- !ruby/object:RI::MethodSummary 
  name: flush
- !ruby/object:RI::MethodSummary 
  name: get_client_encoding
- !ruby/object:RI::MethodSummary 
  name: get_copy_data
- !ruby/object:RI::MethodSummary 
  name: get_last_result
- !ruby/object:RI::MethodSummary 
  name: get_result
- !ruby/object:RI::MethodSummary 
  name: host
- !ruby/object:RI::MethodSummary 
  name: is_busy
- !ruby/object:RI::MethodSummary 
  name: isnonblocking
- !ruby/object:RI::MethodSummary 
  name: lo_close
- !ruby/object:RI::MethodSummary 
  name: lo_creat
- !ruby/object:RI::MethodSummary 
  name: lo_create
- !ruby/object:RI::MethodSummary 
  name: lo_export
- !ruby/object:RI::MethodSummary 
  name: lo_import
- !ruby/object:RI::MethodSummary 
  name: lo_lseek
- !ruby/object:RI::MethodSummary 
  name: lo_open
- !ruby/object:RI::MethodSummary 
  name: lo_read
- !ruby/object:RI::MethodSummary 
  name: lo_seek
- !ruby/object:RI::MethodSummary 
  name: lo_tell
- !ruby/object:RI::MethodSummary 
  name: lo_truncate
- !ruby/object:RI::MethodSummary 
  name: lo_unlink
- !ruby/object:RI::MethodSummary 
  name: lo_write
- !ruby/object:RI::MethodSummary 
  name: loclose
- !ruby/object:RI::MethodSummary 
  name: locreat
- !ruby/object:RI::MethodSummary 
  name: locreate
- !ruby/object:RI::MethodSummary 
  name: loexport
- !ruby/object:RI::MethodSummary 
  name: loimport
- !ruby/object:RI::MethodSummary 
  name: lolseek
- !ruby/object:RI::MethodSummary 
  name: loopen
- !ruby/object:RI::MethodSummary 
  name: loread
- !ruby/object:RI::MethodSummary 
  name: loseek
- !ruby/object:RI::MethodSummary 
  name: lotell
- !ruby/object:RI::MethodSummary 
  name: lotruncate
- !ruby/object:RI::MethodSummary 
  name: lounlink
- !ruby/object:RI::MethodSummary 
  name: lowrite
- !ruby/object:RI::MethodSummary 
  name: make_empty_pgresult
- !ruby/object:RI::MethodSummary 
  name: notifies
- !ruby/object:RI::MethodSummary 
  name: options
- !ruby/object:RI::MethodSummary 
  name: parameter_status
- !ruby/object:RI::MethodSummary 
  name: pass
- !ruby/object:RI::MethodSummary 
  name: port
- !ruby/object:RI::MethodSummary 
  name: prepare
- !ruby/object:RI::MethodSummary 
  name: protocol_version
- !ruby/object:RI::MethodSummary 
  name: put_copy_data
- !ruby/object:RI::MethodSummary 
  name: put_copy_end
- !ruby/object:RI::MethodSummary 
  name: query
- !ruby/object:RI::MethodSummary 
  name: quote_ident
- !ruby/object:RI::MethodSummary 
  name: reset
- !ruby/object:RI::MethodSummary 
  name: reset_poll
- !ruby/object:RI::MethodSummary 
  name: reset_start
- !ruby/object:RI::MethodSummary 
  name: send_describe_portal
- !ruby/object:RI::MethodSummary 
  name: send_describe_prepared
- !ruby/object:RI::MethodSummary 
  name: send_prepare
- !ruby/object:RI::MethodSummary 
  name: send_query
- !ruby/object:RI::MethodSummary 
  name: send_query_prepared
- !ruby/object:RI::MethodSummary 
  name: server_version
- !ruby/object:RI::MethodSummary 
  name: set_client_encoding
- !ruby/object:RI::MethodSummary 
  name: set_error_verbosity
- !ruby/object:RI::MethodSummary 
  name: set_notice_processor
- !ruby/object:RI::MethodSummary 
  name: set_notice_receiver
- !ruby/object:RI::MethodSummary 
  name: setnonblocking
- !ruby/object:RI::MethodSummary 
  name: socket
- !ruby/object:RI::MethodSummary 
  name: status
- !ruby/object:RI::MethodSummary 
  name: trace
- !ruby/object:RI::MethodSummary 
  name: transaction
- !ruby/object:RI::MethodSummary 
  name: transaction_status
- !ruby/object:RI::MethodSummary 
  name: tty
- !ruby/object:RI::MethodSummary 
  name: unescape_bytea
- !ruby/object:RI::MethodSummary 
  name: untrace
- !ruby/object:RI::MethodSummary 
  name: user
name: PGconn
superclass: Object
